Loading...
Searching...
No Matches
ao Namespace Reference

## Classes

class | uvector
| A container similar to std::vector, but one that allows construction without initializing its elements. More...

## Functions

template<class Tp, class Alloc>
bool | operator== (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for equality.
template<class Tp, class Alloc>
bool | operator!= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for inequality.
template<class Tp, class Alloc>
bool | operator< (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for smaller than.
template<class Tp, class Alloc>
bool | operator<= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for smaller than or equal.
template<class Tp, class Alloc>
bool | operator> (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for larger than.
template<class Tp, class Alloc>
bool | operator>= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for larger than or equal.
template<class Tp, class Alloc>
void | swap (uvector< Tp, Alloc > &x, uvector< Tp, Alloc > &y)
| Swap the contents of the two uvectors.